/* $Id: 5342.h,v 1.3 1998/11/02 04:38:59 brian Exp $
******************************************************************************

   ICS 534x PLL and ramdac -- register definitions

   Copyright (C) 1997 by Andreas Vogler

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

/*
        Additions for PLL driver by Emmanuel Marty

	This code is derived from the following source of information
	[1]	ICS 5342 data sheet

*/

#ifndef _ICS_5342_H
#define _ICS_5342_H

/* 8bit pixelbus */
#define DAC_MODE_0 0x00		/* 8bit Pseudo Color */
#define DAC_MODE_1 0x20		/* 15 bit Hi Color */
#define DAC_MODE_2 0x60		/* 16 bit Hi Color (XGA)*/
#define DAC_MODE_3 0x80		/* 24 bit True Color */

/* 16 bit pixelbus */
#define DAC_MODE_4 0x10		/* 8 bit Pseudo Color */
#define DAC_MODE_5 0x30		/* 15 bit Hi Color */
#define DAC_MODE_6 0x50		/* 16 bit Hi Color */
#define DAC_MODE_7 0x70		/* 24 bit True Color (word aligned) */
#define DAC_MODE_8 0x90		/* 24 bit True Color (packed) */

#define DAC_PLLWRITE 0x04	/* pll write index register */
#define DAC_PLLDATA  0x05	/* pll data register */
#define DAC_COMMAND  0x06	/* command register */
#define DAC_PLLREAD  0x07	/* pll read index register */

/*	ICS 5342 PLL registers	*/

#define PLL_CLK0_F0	0x00
#define PLL_CLK0_F1	0x01
#define PLL_CLK0_F2	0x02
#define PLL_CLK0_F3	0x03
#define PLL_CLK0_F4	0x04
#define PLL_CLK0_F5	0x05
#define PLL_CLK0_F6	0x06
#define PLL_CLK0_F7	0x07
#define PLL_CLK1_FA	0x09
#define PLL_CLK1_FB	0x0A
#define PLL_CONTROL	0x0E

#endif /* _ICS_5342_H */ 
